summaryrefslogtreecommitdiffstats
path: root/libraries/compiz-bcop
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2010-06-16 16:53:13 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-06-16 17:08:29 -0500
commitfe40e8b78a3d38939fadf5ca6f87fd3b5ef8ce92 (patch)
tree9a3ad21d83caed06a11c141738014deba3b27d89 /libraries/compiz-bcop
parent43538940f88d54e59825984f817ce77d5c6f3d69 (diff)
downloadslackbuilds-fe40e8b78a3d38939fadf5ca6f87fd3b5ef8ce92.tar.gz
slackbuilds-fe40e8b78a3d38939fadf5ca6f87fd3b5ef8ce92.tar.xz
libraries/compiz-bcop: Added (A BCOP code generator for Compiz Fusion)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries/compiz-bcop')
-rw-r--r--libraries/compiz-bcop/README17
-rw-r--r--libraries/compiz-bcop/README.POST_INSTALL10
-rw-r--r--libraries/compiz-bcop/compiz-bcop.SlackBuild84
-rw-r--r--libraries/compiz-bcop/compiz-bcop.info10
-rw-r--r--libraries/compiz-bcop/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/libraries/compiz-bcop/README b/libraries/compiz-bcop/README
new file mode 100644
index 0000000000..639c63dc2d
--- /dev/null
+++ b/libraries/compiz-bcop/README
@@ -0,0 +1,17 @@
+compiz-bcop is a code generator that provides an easy way to handle
+plugin options by generating parts of the plugin code directly from
+the xml metadata file. It is used for most of the Compiz Fusion plugins.
+
+For correct installation, build in this order:
+ 1. compiz-bcop
+ 2. protobuf (optional but recommended)
+ 3. libcompizconfig
+ 4. compizconfig-python
+ 5. compizconfig-backend-kconfig4 (optional)
+ 6. ccsm
+ 7. compiz-plugins-main
+ 8. compiz-plugins-extra (optional)
+ 9. compiz-plugins-unsupported (optional)
+10. emerald (optional)
+11. emerald-themes (optional)
+12. fusion-icon (optional)
diff --git a/libraries/compiz-bcop/README.POST_INSTALL b/libraries/compiz-bcop/README.POST_INSTALL
new file mode 100644
index 0000000000..3c8f207a68
--- /dev/null
+++ b/libraries/compiz-bcop/README.POST_INSTALL
@@ -0,0 +1,10 @@
+After you've installed the compiz-fusion packages you need to enable
+a few key features before you launch compiz.
+Launch "ccsm" and enable the following options:
+
+ * Window Decorations
+ * Move Window
+ * Rezise Window
+
+These options will allow you to manage your windows.
+After enabled, you can launch compiz and customize to your liking.
diff --git a/libraries/compiz-bcop/compiz-bcop.SlackBuild b/libraries/compiz-bcop/compiz-bcop.SlackBuild
new file mode 100644
index 0000000000..f168f985a5
--- /dev/null
+++ b/libraries/compiz-bcop/compiz-bcop.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for compiz-bcop
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=compiz-bcop
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/compiz-bcop/compiz-bcop.info b/libraries/compiz-bcop/compiz-bcop.info
new file mode 100644
index 0000000000..834052cdda
--- /dev/null
+++ b/libraries/compiz-bcop/compiz-bcop.info
@@ -0,0 +1,10 @@
+PRGNAM="compiz-bcop"
+VERSION="0.8.4"
+HOMEPAGE="www.compiz.org"
+DOWNLOAD="http://releases.compiz-fusion.org/0.8.4/compiz-bcop-0.8.4.tar.gz"
+MD5SUM="1abcb08e8b8963ca2a1ae984cb537ec3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/compiz-bcop/slack-desc b/libraries/compiz-bcop/slack-desc
new file mode 100644
index 0000000000..686769f50c
--- /dev/null
+++ b/libraries/compiz-bcop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+compiz-bcop: compiz-bcop (A BCOP code generator for Compiz Fusion)
+compiz-bcop:
+compiz-bcop: BCOP is a code generator that provides an easy way to handle
+compiz-bcop: plugin options by generating parts of the plugin code directly
+compiz-bcop: from the xml metadata file. It is used for most of the Compiz
+compiz-bcop: Fusion plugins.
+compiz-bcop:
+compiz-bcop:
+compiz-bcop:
+compiz-bcop:
+compiz-bcop: